Package ghidra.features.bsim.query.protocol

# Class PasswordChange

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponsePassword>
ghidra.features.bsim.query.protocol.PasswordChange

public class PasswordChange extends BSimQuery<ResponsePassword>
Request a password change for a specific user Currently provides no explicit protection for password data on the client. Should be used in conjunction with connection encryption (SSL) to protect data in transit to the server.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `char[]`
  `newPassword`
  `ResponsePassword`
  `passwordResponse`
  `String`
  `username`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordChange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `clearPassword()`
  Clear the password data.
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### passwordResponse

    public ResponsePassword passwordResponse

  - ### username

    public String username

  - ### newPassword

    public char[] newPassword

- ## Constructor Details

  - ### PasswordChange

    public PasswordChange()

- ## Method Details

  - ### clearPassword

    public void clearPassword()
    Clear the password data. (Should be) used by database client immediately upon sending request to server

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponsePassword>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponsePassword>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponsePassword>`
    Throws:
      `LSHException`